export declare const getBrowserWebSocket: ({ endpoint }: {
    endpoint: string;
}) => WebSocket;
export declare const getNodeJSWebSocket: ({ endpoint, origin, cookie }: {
    endpoint: string;
    origin: string;
    cookie: string;
}) => WebSocket;
export declare const getWebSocket: (settings: {
    endpoint: string;
    origin: string;
    cookie: string;
}) => WebSocket;
export declare const getEventStream: (socket: WebSocket) => {
    open: import("rxjs").Observable<Event>;
    close: import("rxjs").Observable<CloseEvent>;
    error: import("rxjs").Observable<Event>;
    message: import("rxjs").Observable<MessageEvent<any>>;
};
