import { RestApiClient } from './rest-api-client/rest-api-client';
import { ChangeRequestCreateParams } from './websocket-clinet/internal/request';
import { WebsocketClient } from './websocket-clinet/websocket-client';
export declare class ScrapboxClient {
    private readonly apiClient;
    private readonly websocketClient;
    constructor(token?: string, apiClient?: RestApiClient, websocketClient?: WebsocketClient);
    getPage(projectName: string, pageName: string): Promise<import(".").Page>;
    changeLine(projectName: string, pageName: string, change: ChangeRequestCreateParams | ChangeRequestCreateParams[]): Promise<import("./websocket-clinet/internal/message").ParsedMessage>;
    getUser(): Promise<import(".").Me>;
    private getProject;
    private getPageIdAndCommitId;
    private commit;
}
