"use strict";
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
require('dotenv').config();
const token = (_a = process.env.TOKEN) !== null && _a !== void 0 ? _a : '';
const path = require("path");
const deploy_1 = require("../commands/deploy");
deploy_1.deploy({
    page: 'scrapbox-tools-integration.spec',
    sourceFilePath: path.join(process.cwd(), 'src/cli/test/testfile.js'),
    project: 'km-study',
    token,
})
    .then(() => {
    console.log('deploy completed');
    process.exit(0);
})
    .catch((e) => {
    console.error('deploy errored', e);
    process.exit(1);
});
//# sourceMappingURL=integration-test.js.map