export declare const fetch: typeof globalThis.fetch;
export declare type HttpClient = {
    get<T>(url: string, options?: Partial<{
        headers: Record<string, string>;
    }>): Promise<T>;
};
export declare class DefaultHttpClient implements HttpClient {
    private readonly fetchFn;
    constructor(fetchFn?: typeof globalThis.fetch);
    get<T>(url: string, options?: Partial<{
        headers: Record<string, string>;
    }>): Promise<T>;
}
