import { Observable } from 'rxjs';
import { Scrapbox } from '../types';
export declare const findElementOrFail: <T extends Element>(selector: string, parent?: ParentNode) => T;
export declare const nodeChange: <N extends Node>(node: N, options: MutationObserverInit) => Observable<N>;
export declare const isScrapboxReady: () => boolean;
export declare const scrapboxReady: () => Observable<Scrapbox>;
