import { Observable } from 'rxjs';
export declare class UserScriptApi {
    private static pageChange;
    static get data(): import("./types").Scrapbox;
    static get ready(): Observable<import("./types").Scrapbox>;
    static get update(): Observable<import("./types").Scrapbox>;
    static get pageContainerElement(): Element;
    static get pageTitle(): string;
    static get pageLines(): ({
        id: string;
        text: string;
        userId?: string | undefined;
        created: number;
        updated: number;
        section: {
            number: number;
            start: boolean;
            end: boolean;
        };
        nodes: import("./types").Node | import("./types").Node[];
    } | import("./types").IndentedLine | import("./types").CodeBlockLine | import("./types").FormulaLine)[];
    static get projectName(): string;
}
